%define name	hotkeys
%define version	0.5.7.1
%define release	1mdk

Summary:	A program to use the special keys on internet/multimedia keyboards
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Url:		http://ypwong.org/%{name}/
Source0:	%{url}%{name}_%{version}.tar.bz2
Requires:	db3 >= 3.2.9
Requires:	libxml2 >= 2.2.8
Requires:	libxosd2
BuildRequires:	db3-devel >= 3.2.9
BuildRequires:	libxml2-devel >= 2.2.8
BuildRequires:	libxosd2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The HotKeys daemon listens for the "special" hotkeys that you won't
normally use on your Internet/Multimedia keyboards. The buttons perform
their intended behaviors, such as volume up and down, mute the speaker,
or launch applications. It has On-screen display (OSD) to show the
volume, program that's being started, etc. It features an XML-based
keycode configuration file format, which makes it possible to define the
hotkeys to launch any programs you want.

%prep
%setup -q

%build
%configure --with-xosd
make CC="gcc -I%{_includedir}/libxml2 -I%{_includedir}/libxml2/libxml"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT/%{_sysconfdir}
install -m 644 src/%{name}.conf $RPM_BUILD_ROOT/%{_sysconfdir}

chmod 644 AUTHORS BUGS COPYING INSTALL TODO def/sample.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING INSTALL TODO def/sample.xml
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Fri Mar 28 2003 David Walluck <david@anti-microsoft.org> 0.5.7.1-1mdk
- release
